<?php 

	require "config.php";
	
	session_start();
	
	// Ha nincs bejelentkezett felhasználó, átirényítunk a reg.php oldalra
	if(!isset($_SESSION['id'])){
		
		header("Location: reg.php");
		
	}
	// Ha bejelentkezett a felhasználó
	else{
		
		// Bejelentkezéskor elmentett azonosítója a felhasználónak
		$id = $_SESSION['id'];
		
		// Lekérdezzük a bejelentkezett felhasználó nevét
		$lekerdezes = "SELECT * FROM users WHERE id=$id";
		$talalt_felhasznalo = $conn->query($lekerdezes);
		$felhasznalo = $talalt_felhasznalo->fetch_assoc();
		
		echo "<h1>Üdv, $felhasznalo[username]!</h1>";
		
		echo "<a href='profil.php?userid=$id' style='margin-right: 10px;'>Profilod</a>";
		
		// Értesítések lekérdezése
		$lekerdezes = "SELECT * FROM ertesitesek WHERE ertesitettid=$id AND olvasott='nem'";
		$talalt_ertesitesek = $conn->query($lekerdezes);
		
		$ertesitesek_szama = mysqli_num_rows($talalt_ertesitesek);
		
		echo "<a href='ertesitesek.php' style='margin-right: 10px;'>Értesítések ($ertesitesek_szama)</a>";
		
		echo "<a href='logout.php'>Kijelentkezés</a>";
		
	}
	
	// Poszt feltöltése
	if(isset($_POST['post-btn'])){
		
		$userid = $_SESSION['id'];
		
		$szoveg = $_POST['szoveg'];
		
		// Feltöltés 
		$conn->query("INSERT INTO posztok VALUES(id, $userid, '$szoveg')");
		
	}
	
	// Poszt törlése
	if(isset($_POST['del-btn'])){
		
		$postid = $_GET['postid'];
		
		$conn->query("DELETE FROM posztok WHERE id=$postid");
		
	}
	
	// Poszt szerkesztése
	if(isset($_POST['edit-post-btn'])){
		
		$postid = $_GET['postid'];
		
		header("Location: editpost.php?postid=$postid");
		
	}
	
	// Like feltöltése
	if(isset($_POST['like-btn'])){
		
		$postid = $_GET['postid'];
		
		$conn->query("INSERT INTO likes VALUES(id, $id, $postid)");
		
	}
	
	// Like törlése
	if(isset($_POST['dislike-btn'])){
		
		$postid = $_GET['postid'];
		
		$conn->query("DELETE FROM likes WHERE postid=$postid AND userid=$id");
		
	}
	
	// Komment feltöltése
	if(isset($_POST['comment-btn'])){
		
		$posztid = $_GET['postid'];
		
		$szoveg = $_POST['comment-text'];
		
		$conn->query("INSERT INTO kommentek VALUES(id, $id, $posztid, '$szoveg')");
		
	}

?>

<hr>

	<form method="post">
	
		 <input type="text" name="szoveg" placeholder="Írj valamit...">
		 
		 <input type="submit" name="post-btn">
	
	</form>

<hr>

<h3 style="text-align: center">Posztok</h3>

<?php 

	// Összes poszt lekérdezése
	$lekerdezes = "SELECT * FROM posztok ORDER BY id DESC";
	$talalt_posztok = $conn->query($lekerdezes);
	while($poszt=$talalt_posztok->fetch_assoc()){
		
		// Lekérdezzük az adott poszt íróját a posztban eltárolt felhasználó azonosító alapján
		$lekerdezes = "SELECT * FROM users WHERE id=$poszt[userid]";
		$talalt_iro = $conn->query($lekerdezes);
		$iro = $talalt_iro->fetch_assoc();
		
		// Poszt kiírása
		echo "<p style='max-width: 200px; padding: 10px; border: 1px solid black; margin: 10px auto;'>";
		
		echo "<a href='profil.php?userid=$iro[id]'>".$iro['username']."</a>: "; // Poszt userid-ból lekérdezve
		
		echo $poszt['szoveg']."<br>";
		
		echo "<br><br>";
		
		// Lekérdezzük, hogy hány like van az adott poszton
		$lekerdezes = "SELECT * FROM likes WHERE postid=$poszt[id]";
		$talalt_sorok = $conn->query($lekerdezes);
		
		$likeok_szama = mysqli_num_rows($talalt_sorok);
		
		echo $likeok_szama." kedvelés";
		
			// Interakciós form
			echo "<form style='max-width: 200px; margin: 10px auto 30px auto' method='post' action='index.php?postid=$poszt[id]'>";
			
				// Lekérdezzük, hogy a a bejelentkezett felhasználó likeolta-e már az adott posztot
				$lekerdezes = "SELECT * FROM likes WHERE postid=$poszt[id] AND userid=$id";
				$talalt_kedveles = $conn->query($lekerdezes);
				
				// Ha a sorok száma 0 --> Tetszik gomb
				if(mysqli_num_rows($talalt_kedveles) == 0){
					
					// Like gomb
					echo "<input style='margin-right: 10px;' type='submit' name='like-btn' value='Tetszik'>";
					
				}else{
					
					// Dislike gomb
					echo "<input style='margin-right: 10px;' type='submit' name='dislike-btn' value='Mégsem tetszik'>";
					
				}
			
				// Csak azoknál jelenik meg a törlés gomb, amiknet a felhasználó írt
				if($poszt['userid'] == $_SESSION['id']){
			
					// Törlés gomb
					echo "<input type='submit' name='del-btn' value='Törlés'>";

					// Szerkesztés gomb
					echo "<input type='submit' name='edit-post-btn' value='Szerkesztés'>";
				
				}
				
				echo "<br>";
				echo "<br>";
				
				// Szövegdoboz kommenthez
				echo "<input style='max-width: 60%; margin-right: 10px;' type='text' name='comment-text' placeholder='Komment írása...'>";
				echo "<input type='submit' name='comment-btn'>";
			
			echo "</form>";
		
		echo "</p>";
		
		// Adott poszthoz tartozó kommentek lekérdezése
		$lekerdezes = "SELECT * FROM kommentek WHERE postid=$poszt[id]";
		$talalt_kommentek = $conn->query($lekerdezes);
		
		if(mysqli_num_rows($talalt_kommentek) > 0){
			
			//Kommentek generálása
			echo "<p style='max-width: 180px; padding: 10px; border: 1px solid black; margin: 10px auto 40px auto'>";
			
			while($komment=$talalt_kommentek->fetch_assoc()){
				
				echo $komment['szoveg']."<br>";
				
			}
			
			echo "</p>";
			
		}
		
	}

?>